#include <stdio.h>



int main(){

 int n, i, j;



 scanf("%d", &n);


   if(n<=0)
   {
	printf("-1\n");
        return 0;
   }

for( i=1 ; i<=n ; i++){
	
	   for( j=1 ; j<=i-1 ; j++)
		   printf(" ");
	   for( j=1 ; j<=2*(n-i)+1; j++)
		   if(j%2)
		     printf("*");
	   	   else
		     printf("-");

      printf("\n");
   }  
 







return 0;
}
